/*Made by ADA*/

[id$="-button"]:active {
    transform: scale(0.97);
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2) !important;
}

[id$="-button"]:hover {
    box-shadow: 3px 3px 6px rgba(0, 0, 0, 0.3) !important;
}


#main-table .dash-cell input.dash-cell-value {
    font-family: monospace !important;
}

.dash-filter--case {
    /* Скрываем "Aa" мгновенно при загрузке */
    color: transparent !important;
    font-size: 0 !important;
    position: relative !important;

    /* Убираем ВСЕ контуры и рамки */
    outline: none !important;
    outline-offset: 0 !important;
    box-shadow: none !important;
    border: none !important;

    /* Убираем фокусные стили */
    -webkit-tap-highlight-color: transparent !important;
}

/*  убирает кнопку регистрозависимости фильтра
.dash-filter--case {
    display: none !important;
}


.dash-filter .dash-filter-input {
    width: calc(100% - 5px) !important;
    padding-right: 5px !important;
    margin-right: 0 !important;
}
*/

/* Запрещаем создание новых строк при вставке */
#main-table .dash-spreadsheet-container {
    user-select: none;
    -webkit-user-select: none;
}

#main-table .dash-cell input.dash-cell-value {
    user-select: text;
    -webkit-user-select: text;
}



/* === Базовая стилизация для удалённых строк === */
/* Базовая стилизация ячейки */
td.dash-delete-cell {
    text-align: center !important;
    vertical-align: middle;
    position: relative;
}

/* Скрываем оригинальный крестик */
td[style*="background-color: rgb(255, 204, 204)"].dash-delete-cell,
td[style*="background-color: #FFCCCC"].dash-delete-cell {
    color: transparent !important;
    position: relative; /* для позиционирования ::after */
    font-size: 18px;
}

/* Вставляем галочку */
td[style*="background-color: rgb(255, 204, 204)"].dash-delete-cell::after,
td[style*="background-color: #FFCCCC"].dash-delete-cell::after {
    content: "✓";
    display: block;
    text-align: center;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    color: #CCFFCC;
    /*color: green;
     color: gray; */
    font-weight: bold;
}

/* === Подсветка ячейки при наведении ===
td[style*="background-color: rgb(255, 204, 204)"].dash-delete-cell:hover,
td[style*="background-color: #FFCCCC"].dash-delete-cell:hover {
    background-color: #CCFFCC !important;
    cursor: pointer;
}*/

/* Подсветка текста при наведении */
td[style*="background-color: rgb(255, 204, 204)"].dash-delete-cell:hover::after,
td[style*="background-color: #FFCCCC"].dash-delete-cell:hover::after {
    /* background-color: #CCFFCC !important; /* подсветка */
    /* color: #CCFFCC !important; */
    color: green !important;
    cursor: pointer;
}

.dash-filter--case:hover {
    background-color: rgba(255, 105, 180, 0.2) !important; /* hotpink с прозрачностью */
    border-radius: 2px !important;
    opacity: 1 !important;
    color: hotpink !important;
    box-shadow: 0 0 0 1px #ddd !important;
}

.dash-filter--case[data-cleared] {
    width: 18px !important;
    height: 18px !important;
    padding: 0 !important;
    margin: 0 0 0 0px !important;
    color: #888 !important;
    font-size: 14px !important;
    cursor: pointer !important;
    display: inline-flex !important;
    align-items: center !important;
    justify-content: center !important;
    text-align: center !important;
    background: none !important;
    border: none !important;
    line-height: 1 !important;
    opacity: 0.7 !important;
    transition: all 0.2s ease !important;
    /* Серая фоновая подсветка с прозрачностью
    background-color: rgba(136, 136, 136, 0.1) !important;*/
    border-radius: 2px !important;
}

.dash-filter--case[data-cleared]:hover {
    color: hotpink !important;
    /* Рамка/обводка hotpink с прозрачностью */
    box-shadow: 0 0 0 1px rgba(255, 105, 180, 0.2) !important;
    opacity: 1 !important;
    border-radius: 2px !important;
    /* Фон при hover */
    background-color: rgba(136, 136, 136, 0.05) !important;
}